# Package

version       = "0.1.0"
author        = "Jonathan Bernard"
description   = "Full JWT, JWS, JWE, and JWK implementation for Nim, compliant with RFCs 7515-7519."
license       = "GPL-3.0-or-later"
srcDir        = "src/main"
skipDirs      = @["private"]

# Dependencies

requires "nim >= 1.4.8"
requires "bearssl"

task unittest, "Run the unit test suites.":
  exec "nim c -r src/test/unit/runner"
